/*
Theme Name: Upgrade theme
Template: generatepress
Version: 1.0
*/

h2 {
	font-size: 30px;    
	padding-top: 20px;
}

h3 {
	font-size: 22px;
}

.entry-meta a, .site-info a, .entry-title a {
	transition: fill .1s ease-in-out;
}

pre[class*=language-] {
	border-radius: 4px;
    margin: 1.5em 0;
}

code[class*=language-], pre[class*=language-] {
    font-size: .9em; /* Adjust the size as needed */
}

img {
	border-radius: 4px;
}

ol, ul {
    margin: 0 0 1.5em;
}

li {
    padding: 0 0 .5em;
    font-size: .9em;
}

blockquote {
    padding: 20px 0 20px;
    left: -25px;
}
	
blockquote p {
	left: 20px;
	position: relative;
}

.button, button, html input[type="button"], input[type="reset"], input[type="submit"], a.button, a.wp-block-button__link:not(.has-background) {
	border-radius: 4px;
	padding: 5px 15px;
    opacity: .7;
}

button:hover, html input[type="button"]:hover, input[type="reset"]:hover, input[type="submit"]:hover, a.button:hover, button:focus, html input[type="button"]:focus, input[type="reset"]:focus, input[type="submit"]:focus, a.button:focus, a.wp-block-button__link:not(.has-background):active, a.wp-block-button__link:not(.has-background):focus, a.wp-block-button__link:not(.has-background):hover {
    opacity: 1;
}

.post {
	border-bottom: 1px dashed #e5e5e5;
}

.backlink .emoji {
	transition: opacity background-color .1s ease-in-out;
    opacity: .5;
}

.backlink .emoji:hover {
    opacity: 1;
}

.featherlight-content {
	border-radius: 6px;
}

.featherlight .featherlight-close-icon {
    top: 3px;
    right: 2px;
}

input[type="text"], input[type="email"], input[type="url"], input[type="password"], input[type="search"], input[type="tel"], input[type="number"], textarea, select {
	border-radius: 4px;
}

.entry-title, h1 {
	font-size: 40px;
}

.footnotes p {
    margin: 0;
}

.footnotes li {
    padding: 0;
}

#footer-widgets {
	background:none;	
}

.footer-widgets-container {
    padding: 0px;
}

ul.footer-icons {
  list-style: none;
  padding: 0;
  margin: 0;
  text-align: center;
}

ul.footer-icons li {
  display: inline-block;
  margin: 10px 5px 0;
}

ul.footer-icons svg {
  width: 20px;
  height: 20px;
}

ul.footer-icons path {
	transition: fill .1s ease-in-out;
}

ul.footer-icons path {
  fill: #c7c7c7;
}

ul.footer-icons .li:hover path {
  fill: #277eb7;
}

ul.footer-icons .ig:hover path {
  fill: #d90758;
}

ul.footer-icons .tw:hover path {
  fill: #14a7f0;
}

ul.footer-icons .fb:hover path {
  fill: #385c95;
}

ul.footer-icons .tu:hover path {
  fill: #2b4961;
}

ul.footer-icons .yt:hover path {
  fill: #c00922;
}

ul.footer-icons .wa:hover path {
  fill: #29d169;
}

ul.footer-icons .gh:hover path {
  fill: #657fd6;
}

.prompt, .answer {
	font: 15px Monaco,Consolas,"Andale Mono","DejaVu Sans Mono",monospace;
    text-wrap: wrap;
  	position: relative;
	padding: 30px 20px 20px;
}

.prompt table , .answer table {
	border-collapse: collapse;
}

.prompt table:last-child , .answer table:last-child {
	margin-bottom: 0;
}

.prompt td, .answer td, .prompt th, .answer th {
	border: 1px solid #878787;
}

.answer {
	background-color: #fafafa;
}
.prompt {
	background-color: var(--accent);
	color: white;
}

.prompt::before, .answer::before {
	position: absolute;
	top: 10px;
	left: 20px;
	font-size: 11px;
	opacity:.7;
}

.prompt-copy {
    display: inline-block;
    float: right;
    position: relative;
    top: 9px;
    right: 10px;
    z-index: 1;
    font: 11px Monaco,Consolas,"Andale Mono","DejaVu Sans Mono",monospace;
    border-radius: 2px;
    padding: 2px 5px 1px;
    background: white;
    color: var(--accent);
    cursor: pointer;
	opacity: .5;
	transition: opacity .1s ease-in-out;
}


.prompt-copy:hover {
	opacity:1;
}

.prompt::before {
	content: "PROMPT:";
}

.answer::before {
  content: "ChatGPT:";
}

.answer + p, .prompt + p {
  padding-top: 20px;
}



@media (max-width: 768px) {
	.prompt, .answer {
		position: relative;
		left: -30px;
		width: 100vw;
		padding: 40px 30px 30px;
	}
	
	.answer {
		overflow-x: scroll;
	}
	
	.prompt-copy {
		right: -21px !important;
	}

}